- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# syscalls_new.h File Reference

`#include <sys/sysproto.h>`

Include dependency graph for syscalls_new.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | EJUSTRETURN (-2)
#define | ERESTART (-1)
#define | invalid_call 0x0
#define | PSL_C 0x00000001
## Typedefs
typedef int(*) | functionPTR ()
## Functions
int | __sysctl ()
int | close ()
int | fcntl ()
int | fstat ()
int | getdtablesize ()
int | getgid ()
int | getpid ()
int | gettimeofday_new ()
int | getuid ()
int | ioctl ()
int | issetugid ()
int | mmap ()
int | munmap ()
int | obreak ()
int | pipe ()
int | read ()
int | readlink ()
int | sigaction ()
int | sigprocmask ()
int | sysExit ()
## Variables
functionPTR | systemCalls_new []
| Mast System Call List.
int | totalCalls_new = sizeof(systemCalls_new)/sizeof(functionPTR)

## Define Documentation

#define EJUSTRETURN (-2)

Definition at line 58 of file syscalls_new.h.

Referenced by syscall().

#define ERESTART (-1)

Definition at line 59 of file syscalls_new.h.

Referenced by syscall().

#define invalid_call 0x0

Definition at line 56 of file syscalls_new.h.

#define PSL_C 0x00000001

Definition at line 57 of file syscalls_new.h.

Referenced by syscall().

## Typedef Documentation

typedef int(*) functionPTR()

Definition at line 61 of file syscalls_new.h.

## Function Documentation

int __sysctl | ( |  | ) |

int close | ( |  | ) |

int fcntl | ( |  | ) |

int fstat | ( |  | ) |

int getdtablesize | ( |  | ) |

int getgid | ( |  | ) |

int getpid | ( |  | ) |

int gettimeofday_new | ( |  | ) |

int getuid | ( |  | ) |

int ioctl | ( |  | ) |

int issetugid | ( |  | ) |

int mmap | ( |  | ) |

int munmap | ( |  | ) |

int obreak | ( |  | ) |

int pipe | ( |  | ) |

int read | ( |  | ) |

int readlink | ( |  | ) |

int sigaction | ( |  | ) |

int sigprocmask | ( |  | ) |

int sysExit | ( |  | ) |

## Variable Documentation

functionPTR systemCalls_new[]

Mast System Call List.

Definition at line 66 of file syscalls_new.h.

Referenced by syscall().

int totalCalls_new = sizeof(systemCalls_new)/sizeof(functionPTR)

Definition at line 525 of file syscalls_new.h.

Referenced by syscall().